Subject: Aggregate root detection does not work for non-standard repositories
Description

If a repository and the model it holds don't match via the naming conventions, the ReflectionService does not detect that the model is
an aggregate root.

Associated revisions
Revision ebcddb26 - 2011-07-09 12:26 - Karsten Dambekalns

[!!!][BUGFIX] Resolve non-standard model/repository bindings

If a repository and the model it holds don't match via the naming
conventions, the ReflectionService did not detect that the model is
an aggregate root.

This involves a breaking change for those that are using the property
$objectType in their repositories. That needs to be changed to a
constant named ENTITY_CLASSNAME:
  protected $objectType = 'FooBar';
needs to become
  const ENTITY_CLASSNAME = 'FooBar';

As a bonus this change adds a new method getEntityClassName() to the
base repositories which can be used to find out which entity is managed
by a repository instance.

Change-Id: I7920587c4060f6583276b05e8686a997e113b7b7
Fixes: #12190

History
#1 - 2011-03-21 16:07 - Karsten Dambekalns
- Priority changed from Should have to Must have

#2 - 2011-06-28 22:24 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I7920587c4060f6583276b05e8686a997e113b7b7 has been pushed to the review server.
It is available at http://review.typo3.org/2968
#3 - 2011-07-06 10:47 - Mr. Hudson

Patch set 2 of change I7920587c4060f6583276b05e8686a997e113b7b7 has been pushed to the review server.
It is available at http://review.typo3.org/2968

#4 - 2011-07-09 12:30 - Mr. Hudson

Patch set 3 of change I7920587c4060f6583276b05e8686a997e113b7b7 has been pushed to the review server.
It is available at http://review.typo3.org/2968

#5 - 2011-07-09 12:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ebcddb263e3d0766d6e351ffabbb906d76469abb.
